## diffoscope 224

=== debian/changelog ===
diffoscope (224) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix rlib test failure with LLVM 15. Thanks to Gianfranco Costamagna
    (locutusofborg) for the patch.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Oct 2022 09:35:04 -0700

diffoscope (223) unstable; urgency=medium

  [ Chris Lamb ]
  * The cbfstools utility is now provided in Debian via the coreboot-utils
    Debian package, so we can enable that functionality within Debian.
    (Closes: #1020630)

  [ Mattia Rizzolo ]
  * Also include coreboot-utils in Build-Depends and Test-Depends so it is
    available for the tests.

  [ Jelle van der Waa ]
  * Add support for file 5.43.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Sep 2022 08:25:31 -0700

diffoscope (222) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Use pep517 and pip to load the requirements. (Closes: #1020091)
  * Remove old Breaks/Replaces in debian/control that have been obsoleted since
    bullseye

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Sep 2022 09:05:12 +0100
