## diffoscope 224ubuntu3

=== debian/changelog ===
diffoscope (224ubuntu3) kinetic; urgency=medium

  * Don't care if control file is not correctly regenerated, trust it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Oct 2022 13:42:02 +0200

diffoscope (224ubuntu2) kinetic; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Oct 2022 10:33:20 +0200
