=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  ffmpeg <!nocheck>,
  flake8 <!nocheck>,
  fontforge-extras <!nocheck>,
+ fonttools <!nocheck>,
  fp-utils [!ppc64el !s390x] <!nocheck>,
  ghc <!nocheck>,
  ghostscript <!nocheck>,
