## diffoscope 229

=== debian/changelog ===
diffoscope (229) unstable; urgency=medium

  [ Chris Lamb ]
  * Skip test_html.py::test_diff if html2text is not installed.
    (Closes: #1026034)

  [ Holger Levsen ]
  * Bump standards version to 4.6.2, no changes needed.

 -- Chris Lamb <lamby@debian.org>  Tue, 20 Dec 2022 23:12:16 +0000

diffoscope (228) unstable; urgency=medium

  [ FC Stegerman ]
  * As an optimisation, don't run apktool if no differences are detected before
    the signing block. (Closes: reproducible-builds/diffoscope!105)

  [ Chris Lamb ]
  * Support both the python3-progressbar and python3-progressbar2 Debian
    packages, two modules providing the "progressbar" Python module.
    (Closes: reproducible-builds/diffoscope#323)
  * Ensure we recommend apksigcopier. (Re: reproducible-builds/diffoscope!105)
  * Make the code clearer around generating the Debian substvars and tidy
    generation of os_list.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Dec 2022 08:10:44 +0000

diffoscope (227) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't attempt to attach text-only differences notice if there are no
    differences to begin with. (Closes: #1024171, #1024349)
  * Don't run Python decompiling tests on Python bytecode that both file(1)
    cannot yet detect and Python 3.11 cannot demarshall. (Closes: #1024335)

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Nov 2022 09:38:34 +0000

diffoscope (226) unstable; urgency=medium

  [ Christopher Baines ]
  * Add an lzip comparator with tests.

  [ Chris Lamb ]
  * Add support for comparing the "text" content of HTML files using html2text.
    (Closes: #1022209, reproducible-builds/diffoscope#318)
  * Misc/test improvements:
    * Drop the ALLOWED_TEST_FILES test; it's mostly just annoying.
    * Drop other copyright notices from lzip.py and test_lzip.py.
    * Use assert_diff helper in test_lzip.py.
    * Pylint tests/test_source.py.

  [ Mattia Rizzolo ]
  * Add lzip to debian dependencies.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Nov 2022 06:51:43 +0000
