## diffoscope 232

=== debian/changelog ===
diffoscope (232) unstable; urgency=medium

  [ Chris Lamb ]
  * Allow ICC tests to (temporarily) fail.
  * Update debian/tests/control after the addition of PyPDF 3 support.

  [ FC Stegerman ]
  * Update regular expression for Android .APK files.

  [ Sam James ]
  * Support PyPDF version 3.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Jan 2023 07:05:01 +0000

diffoscope (231) unstable; urgency=medium

  * Improve "[X] may produce better output" messages. Based on a patch by
    Helmut Grohne. (Closes: #1026982)

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Jan 2023 09:02:57 +0000

diffoscope (230) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix compatibility with file(1) version 5.43; thanks, Christoph Biedl.

  [ Jelle van der Waa ]
  * Support Berkeley DB version 6.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Dec 2022 06:35:04 +0000
