=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends:
  abootimg <!nocheck>,
  androguard <!nocheck>,
+ apksigcopier <!nocheck>,
  apksigner <!nocheck>,
  apktool [!ppc64el !s390x] <!nocheck>,
  bash-completion,
@@ -38,6 +39,7 @@
  gnupg-utils <!nocheck>,
  hdf5-tools <!nocheck>,
  help2man,
+ html2text <!nocheck>,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
  libarchive-tools <!nocheck>,
@@ -49,6 +51,7 @@
  linux-image-amd64 [amd64] <!nocheck> | linux-image-generic [amd64] <!nocheck>,
  llvm <!nocheck>,
  lz4 <!nocheck> | liblz4-tool <!nocheck>,
+ lzip <!nocheck>,
  mono-utils <!nocheck>,
  ocaml-nox <!nocheck>,
  odt2txt <!nocheck>,
@@ -94,7 +97,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
