## diffoscope 233

=== debian/changelog ===
diffoscope (233) unstable; urgency=medium

  [ FC Stegerman ]
  * Split packaging metadata into an extras_require.json file instead of using
    the pep517 and the pip modules directly. This was causing build failures if
    not using a virtualenv and/or building without internet access.
    (Closes: #1029066, reproducible-builds/diffoscope#325)

  [ Vagrant Cascadian ]
  * Add an external tool reference for GNU Guix (lzip).
  * Drop an external tool reference for GNU Guix (pedump).

  [ Chris Lamb ]
  * Split inline Python code in shell script to generate test dependencies to a
    separate Python script.
  * No need for "from __future__ import print_function" import in setup.py
    anymore.
  * Comment and tidy the new extras_require.json handling.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Jan 2023 08:56:22 -0800
