=== debian/control ===
--- 
+++ 
@@ -73,8 +73,6 @@
  python3-libarchive-c,
  python3-magic,
  python3-pdfminer <!nocheck>,
- python3-pep517,
- python3-pip,
  python3-progressbar <!nocheck>,
  python3-pypdf2 <!nocheck>,
  python3-pytest <!nocheck>,
