## diffoscope 234

=== debian/changelog ===
diffoscope (234) unstable; urgency=medium

  [ FC Stegerman ]
  * test_text_proper_indentation requires at least file version 5.44.
    (Closes: reproducible-builds/diffoscope#329)

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Jan 2023 09:29:37 -0800
