## diffoscope 238~bpo11+1

=== debian/changelog ===
diffoscope (238~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop build-dep not available in bullseye-bpo (coreboot-utils, python3-pypdf)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Mar 2023 11:48:14 +0100

diffoscope (238) unstable; urgency=medium

  * autopkgtest: fix tool name in the skippable list.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Mar 2023 20:17:05 +0100

diffoscope (237) unstable; urgency=medium

  * autopkgtest: only install aapt and dexdump on architectures where they are
    available. (Closes: #1031297)
  * compartors/pdf:
    + Drop backward compatibility assignment.
    + Fix flake warnings, potentially reinstating PyPDF 1.x support (untested).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 28 Feb 2023 18:16:09 +0100

diffoscope (236) unstable; urgency=medium

  [ FC Stegerman ]
  * Update code to match latest version of Black. (Closes: #1031433)

  [ Chris Lamb ]
  * Require at least Black version 23.1.0 to run the internal Black tests.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Feb 2023 08:48:41 -0800

diffoscope (235) unstable; urgency=medium

  [ Akihiro Suda ]
  * Update .gitlab-ci.yml to push versioned tags to the container registry.
    (Closes: reproducible-builds/diffoscope!119)

  [ Chris Lamb ]
  * Fix compatibility with PyPDF2. (Closes: reproducible-builds/diffoscope#331)
  * Fix compatibility with ImageMagick 7.1.
    (Closes: reproducible-builds/diffoscope#330)

  [ Daniel Kahn Gillmor ]
  * Update from PyPDF2 to pypdf. (Closes: #1029741, #1029742)

  [ FC Stegerman ]
  * Add support for Android resources.arsc files.
    (Closes: reproducible-builds/diffoscope!116)
  * Add support for dexdump. (Closes: reproducible-builds/diffoscope#134)
  * Improve DexFile's FILE_TYPE_RE and add FILE_TYPE_HEADER_PREFIX, and remove
    "Dalvik dex file" from ApkFile's FILE_TYPE_RE as well.

  [ Efraim Flashner ]
  * Update external tool for isoinfo on guix.
    (Closes: reproducible-builds/diffoscope!124)

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Feb 2023 10:31:52 -0800
