=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Holger Levsen <holger@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
+ aapt <!nocheck>,
  abootimg <!nocheck>,
  androguard <!nocheck>,
  apksigcopier <!nocheck>,
@@ -17,11 +18,12 @@
  black <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
- coreboot-utils <!nocheck>,
+# coreboot-utils <!nocheck>,
  db-util <!nocheck>,
  debhelper-compat (= 13),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  device-tree-compiler (>= 1.4.2) <!nocheck>,
+ dexdump <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
@@ -74,7 +76,7 @@
  python3-magic,
  python3-pdfminer <!nocheck>,
  python3-progressbar <!nocheck>,
- python3-pypdf2 <!nocheck>,
+# python3-pypdf <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pyxattr <!nocheck>,
