## diffoscope 238

=== debian/changelog ===
diffoscope (238) UNRELEASED; urgency=medium

  * WIP (Generated on release).
  * Please target 238 to experimental!

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 28 Feb 2023 18:37:09 +0100
