## diffoscope 240

=== debian/changelog ===
diffoscope (240) unstable; urgency=medium

  [ Holger Levsen ]
  * Update Lintian override info format in debian/source/lintian-overrides.
  * Add Lintian overrides for some "very long lines" in test cases.
  * Update Lintian overrides for tests being tagged source-is-missing or
    prebuilt.
  * Add Lintian override for very long lines for debian/tests/control.
  * Re-add two Lintian overrides about (well-known) source-is-missing
    instances.

  [ Mattia Rizzolo ]
  * Drop the use of include_package_data=True in setup.py.

 -- Chris Lamb <lamby@debian.org>  Fri, 31 Mar 2023 09:05:24 +0100

diffoscope (239) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix compatibility with pypdf 3.x, and correctly restore test data.
    (Closes: reproducible-builds/diffoscope#335)
  * Rework PDF annotations processing into a separate method.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Mar 2023 08:31:17 +0000
