## diffoscope 240ubuntu1

=== debian/changelog ===
diffoscope (240ubuntu1) lunar; urgency=medium

  * Mark new test_arsc.py::test_differences xfail on
    armhf, it passes locally but fails on the infrastructure,
    pending further investigation

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Apr 2023 06:27:18 +0000
