=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: diffoscope
 Section: devel
 Priority: optional
-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
  Chris Lamb <lamby@debian.org>,
  Holger Levsen <holger@debian.org>,
@@ -18,7 +19,7 @@
  black <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
-# coreboot-utils <!nocheck>,
+ coreboot-utils <!nocheck>,
  db-util <!nocheck>,
  debhelper-compat (= 13),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
@@ -76,7 +77,7 @@
  python3-magic,
  python3-pdfminer <!nocheck>,
  python3-progressbar <!nocheck>,
-# python3-pypdf <!nocheck>,
+ python3-pypdf <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pyxattr <!nocheck>,
