## diffoscope 240+deb12u1

=== debian/changelog ===
diffoscope (240+deb12u1) stable; urgency=medium

  [ Chris Lamb ]
  * Backport a patch by FC (Fay) Stegerman to fix a FTBFS caused by a
    .zip-related security fix that was included in Debian's own upload of
    python3.11 3.11.2-6+deb12u2 (see #1070133). Diffoscope's testsuite
    deliberately excercises a Mozilla-style ZIP file that has its Central
    Directory secton at the beginning of the file, rather than at the end. This
    breaks the new overlap check in Python's built-in zipfile.py library as
    that checks that every entry ends before the Central Directory begins. Many
    thanks to Fay for both the patch and related guidance. (Closes: #1078883)
  * Do not call marshal.loads() on precompiled Python bytecode as it is
    inherently unsafe. The loads() method can easily cause the CPython process
    running diffoscope to irretrievably crash (e.g. when presented with a newer
    .pyc format), and potentially permit of arbitrary code execution. Replace,
    for now, with a brief textual summary of the code section of .pyc files
    instead. For more information, see:
    <https://salsa.debian.org/reproducible-builds/diffoscope/-/issues/371>

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Aug 2024 11:43:37 +0100
