=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: diffoscope
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
+Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
  Chris Lamb <lamby@debian.org>,
  Holger Levsen <holger@debian.org>,
