## diffoscope 249

=== debian/changelog ===
diffoscope (249) unstable; urgency=medium

  [ FC Stegerman ]
  * Add specialize_as() method, and use it to speed up .smali comparison in
    APKs. (Closes: reproducible-builds/diffoscope!108)

  [ Chris Lamb ]
  * Add documentation for the new specialize_as, and expand the documentation
    of `specialize` too. (Re: reproducible-builds/diffoscope!108)
  * Update copyright years.

  [ Felix Yan ]
  * Correct typos in diffoscope/presenters/utils.py.

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Sep 2023 10:41:51 -0700

diffoscope (248) unstable; urgency=medium

  [ Greg Chabala ]
  * Merge Docker "RUN" commands into single layer.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Aug 2023 08:20:33 -0700

diffoscope (247) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix compataibility with file(1) version 5.45.
  * Use assert_diff in test_uimage and test_cpio.

  [ Roland Clobus ]
  * xb-tool has moved in Debian bookworm.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Aug 2023 09:37:54 +0100

diffoscope (246) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add support for LLVM 16.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jul 2023 08:57:05 +0100

diffoscope (245) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't include file size in image metadata; it is, at best, distracting and
    it is already in the directory metadata.
  * Move to using assert_diff in ICO and JPEG tests.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Jul 2023 08:57:41 +0100

diffoscope (244) unstable; urgency=medium

  [ Chris Lamb ]
  * Address compatibility with python-libarchive-c version 5.
    (Closes: reproducible-builds/diffoscope#344)
  * Testsuite changes:
    - Mark that test_dex::test_javap_14_differences requires procyon.
    - Fix "test skipped" textual reason generation in the case of a required
      version being outside of the required range.
    - Temporarily mark some Android-related as XFAIL due to Debian bugs
      #1040941 and #1040916.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Jul 2023 13:07:47 +0100

diffoscope (243) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop Jenkins build reference in README.rst.

  [ Ed Maste ]
  * Update FreeBSD package names

  [ Mattia Rizzolo ]
  * Improve the documentation on to produce that binary blob that in the arsc
    comparator.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Jun 2023 17:11:25 +0100

diffoscope (242) unstable; urgency=medium

  * If the binwalk Python module is not available, ensure the user knows they
    may be missing more differences in, for example, concatenated .cpio
    archives.
  * Factor out routine to generate a human-readable comments when
    Python modules are missing.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 May 2023 12:05:28 -0700

diffoscope (241) unstable; urgency=medium

  [ Chris Lamb ]
  * Add a missing 'raise' statement dropped in 2d95ae41e. Thanks, Mattia!

  [ Mattia Rizzolo ]
  * document sending out an email upon release

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Apr 2023 09:26:15 +0100
