## diffoscope 259

=== debian/changelog ===
diffoscope (259) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't error-out with a traceback if we encounter "struct.unpack"-related
    errors when parsing .pyc files. (Closes: #1064973)
  * Fix compatibility with PyTest 8.0. (Closes: reproducible-builds/diffoscope#365)
  * Don't try and compare rdb_expected_diff on non-GNU systems as %p formatting
    can vary. (Re: reproducible-builds/diffoscope#364)

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Mar 2024 09:34:23 +0000

diffoscope (258) unstable; urgency=medium

  [ Chris Lamb ]
  * Use the 7zip package (over p7zip-full) after package transition.
    (Closes: #1063559)
  * Update debian/tests/control.

  [ Vagrant Cascadian ]
  * Fix a typo in the package name field (!) within debian/changelog.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Feb 2024 11:31:52 +0000

diffoscope (257) unstable; urgency=medium

  [ James Addison ]
  * Parse the header and hunksize of diffs strictly before parsing the context
    below. (Closes: reproducible-builds/diffoscope#363)
  * Reformat code to comply with the latest version of Black (24.1.1).

  [ Chris Lamb ]
  * Expand the previous changelog entry to include the CVE number that was
    subsequently assigned.
  * Bump the miniumum Black requirement to run the "Black clean" test and make
    test_zip.py Black clean.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Feb 2024 10:08:35 -0800

diffoscope (256) unstable; urgency=high

  * CVE-2024-25711: Use a determistic name when extracting content from GPG
    artifacts instead of trusting the value of gpg's --use-embedded-filenames.

    This prevents a potential information disclosure vulnerability that could
    have been exploited by providing a specially-crafted GPG file with an
    embedded filename of, say, "../../.ssh/id_rsa".

    Many thanks to Daniel Kahn Gillmor <dkg@debian.org> for reporting this
    issue and providing feedback.

    (Closes: reproducible-builds/diffoscope#361)

  * Temporarily fix support for Python 3.11.8 re. a potential regression
    with the handling of ZIP files. (See reproducible-builds/diffoscope#362)

 -- Chris Lamb <lamby@debian.org>  Fri, 09 Feb 2024 12:22:37 -0800

diffoscope (255) unstable; urgency=medium

  [ Vekhir ]
  * Add/fix compatibility for Python progressbar 2.5 & 3.0 etc.

  [ Chris Lamb ]
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Jan 2024 08:44:05 -0800

diffoscope (254) unstable; urgency=medium

  [ Chris Lamb ]
  * Reflow some code according to black.

  [ Seth Michael Larson ]
  * Add support for comparing the 'eXtensible ARchive' (.XAR/.PKG) file format.

  [ Vagrant Cascadian ]
  * Add external tool on GNU Guix for 7z.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Jan 2024 09:32:28 -0800

diffoscope (253) unstable; urgency=medium

  * Improve DOS/MBR extraction by adding support for 7z.
    (Closes: reproducible-builds/diffoscope#333)
  * Process objdump symbol comment filter inputs as the Python "bytes" type
    (and not str). (Closes: reproducible-builds/diffoscope#358)
  * Add a missing RequiredToolNotFound import.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Dec 2023 12:25:12 +0000

diffoscope (252) unstable; urgency=medium

  * As UI/UX improvement, try and avoid printing an extended traceback if
    diffoscope runs out of memory. This may not always be possible to detect.
  * Mark diffoscope as stable in setup.py (for PyPI.org). Whatever diffoscope
    is, at least, not "alpha" anymore.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Nov 2023 08:18:10 +0000

diffoscope (251) unstable; urgency=medium

  * If the equivalent of `file -i` returns text/plain, fallback to comparing
    this file as a text file. This especially helps when file(1) miscategorises
    text files as some esoteric type. (Closes: Debian:#1053668)
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Oct 2023 08:59:12 +0100

diffoscope (250) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix compatibility with file 5.45. (Closes: reproducible-builds/diffoscope#351)

  [ Vagrant Cascadian ]
  * Add external tool references for GNU Guix (for html2text and ttx).

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Sep 2023 12:10:31 -0700
