=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,17 @@
 	inkscape -w 32 -h 32 -e $@ $<
 
 override_dh_auto_clean:
+	debian/tests/control.sh
+	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
+		echo ;\
+		echo "The generated control file differs from the actual one." ;\
+		echo "A sourceful upload of this package is needed." ;\
+		echo ;\
+		echo "Differences:" ;\
+		diff -u debian/tests/control debian/tests/control.tmp ;\
+	else \
+		rm debian/tests/control.tmp ;\
+	fi
 	dh_auto_clean -O--buildsystem=pybuild
 	dh_auto_clean -O--buildsystem=makefile -Ddoc
 	find -type d -name '__pycache__' -empty -delete
