## diffoscope 271

=== debian/changelog ===
diffoscope (271) unstable; urgency=medium

  [ Chris Lamb]
  * Drop Build-Depends on liblz4-tool. Thanks, Chris Peterson.
    (Closes: #1072575)
  * Update tests to support zipdetails version 4.004 shipped with Perl 5.40.
    (Closes: reproducible-builds/diffoscope#377)

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Jun 2024 09:33:33 +0100

diffoscope (270) unstable; urgency=medium

  [ Chris Lamb ]
  * No-change release due to broken version 269 tarballs.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Jun 2024 09:16:41 +0100

diffoscope (269) unstable; urgency=medium

  [ Chris Lamb ]
  * Allow Debian testing continuous integration builds to fail right now.

  [ Sergei Trofimovich ]
  * Amend 7zip version test for older versions that include the "[64]" string.
    (Closes: reproducible-builds/diffoscope#376)

 -- Chris Lamb <lamby@debian.org>  Fri, 31 May 2024 09:10:35 +0100

diffoscope (268) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop apktool from Build-Depends; we can still test our APK code
    via autopkgtests. (Closes: #1071410)
  * Fix tests for 7zip version 24.05.
  * Add a versioned dependency for at least version 5.4.5 for the xz
    tests; they fail under (at least xz 5.2.8).
    (Closes: reproducible-builds/diffoscope#374)

  [ Vagrant Cascadian ]
  * Relax Chris' versioned xz test dependency (5.4.5) to also allow
    version 5.4.1.

 -- Chris Lamb <lamby@debian.org>  Fri, 24 May 2024 08:29:57 +0100

diffoscope (267) unstable; urgency=medium

  [ Chris Lamb ]
  * Include "xz --verbose --verbose" (ie. double --verbose) output, not just
    the single --verbose. (Closes: #1069329)
  * Only include "xz --list" output if the xz has no other differences.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 May 2024 08:37:23 +0100

diffoscope (266) unstable; urgency=medium

  [ Chris Lamb ]
  * Use "xz --list" to supplement the output when comparing .xz archives;
    essential when some underlying metadata differs. (Closes: #1069329)
  * Actually append the xz --list after the container differences, as it
    simplifies tests and the output.
  * Add 7zip to <!nocheck> Build-Depends in debian/control.
  * Update copyright years.

  [ James Addison ]
  * Maintain an in-header boolean state to determine whether to drop
    from-file/to-file lines. This fixes an issue where HTML differences were
    being inadvertendly neglected. (Closes: reproducible-builds/diffoscope#372)

 -- Chris Lamb <lamby@debian.org>  Fri, 10 May 2024 13:49:03 +0100

diffoscope (265) unstable; urgency=medium

  [ Chris Lamb ]
  * Ensure that tests with ">=" version constraints actually print the
    corresponding tool name. (Closes: reproducible-builds/diffoscope#370)
  * Prevent odt2txt tests from always being skipped due to an impossibly new
    version requirement. (Closes: reproducible-builds/diffoscope#369)
  * Avoid nested parens-in-parens when printing "skipping…" messages
    in the testsuite.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Apr 2024 10:15:50 +0100

diffoscope (264) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't crash on invalid zipfiles, even if we encounter 'badness'
    halfway through the file. (Re: #1068705)

  [ FC (Fay) Stegerman ]
  * Fix a crash when there are (invalid) duplicate entries in .zip files.
    (Closes: #1068705)
  * Add note when there are duplicate entries in ZIP files.
    (Closes: reproducible-builds/diffoscope!140)

  [ Vagrant Cascadian ]
  * Add an external tool reference for GNU Guix for zipdetails.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Apr 2024 09:38:55 +0100

diffoscope (263) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for the zipdetails(1) tool included in the Perl distribution.
    Thanks to Larry Doolittle et al. for the pointer to this tool.
  * Don't use parenthesis within test "skipping…" messages; PyTest adds its own
    parenthesis, so we were ending up with double nested parens.
  * Fix the .epub tests after supporting zipdetails(1).
  * Update copyright years and debian/tests/control.

  [ FC (Fay) Stegerman ]
  * Fix MozillaZipContainer's monkeypatch after Python's zipfile module changed
    to detect potentially insecure overlapping entries within .zip files.
    (Closes: reproducible-builds/diffoscope#362)

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Apr 2024 12:21:10 +0100

diffoscope (262) unstable; urgency=medium

  [ Chris Lamb ]
  * Factor out Python version checking in test_zip.py. (Re: #362)
  * Also skip some zip tests under 3.10.14 as well; a potential regression may
    have been backported to the 3.10.x series. The underlying cause is still to
    be investigated. (Re: #362)

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Mar 2024 09:43:00 +0000

diffoscope (261) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't crash if we encounter an .rdb file without an equivalent .rdx file.
    (Closes: #1066991)
  * In addition, don't identify Redis database dumps (etc.) as GNU R database
    files based simply on their filename. (Re: #1066991)
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Mar 2024 09:42:15 +0000

diffoscope (260) unstable; urgency=medium

  [ Chris Lamb ]
  * Actually test 7z support in the test_7z set of tests, not the lz4
    functionality. (Closes: reproducible-builds/diffoscope#359)
  * In addition, correctly check for the 7z binary being available
    (and not lz4) when testing 7z.
  * Prevent a traceback when comparing a contentful .pyc file with an
    empty one. (Re: Debian:#1064973)

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Mar 2024 11:07:49 +0000
